% \documentclass[noanswers, nolegalese, 11pt]{examjh}
\documentclass[answers, nolegalese]{examjh}
\usepackage{../../../computingfonts}
\usepackage{../../../contentmacros}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{\sc MA 208, Theory of Computation\hfill Weekly Hand-in\hfill Due: 2022-Feb-06}
\vspace*{1ex}
\begin{center}
 \parbox{0.95\textwidth}{\textit{
  The work that you hand in must be entirely your own. 
  When you write this document, you may not work with anyone else,
  or copy material from the Internet, etc.
  You are of course allowed to use the text, the videos, or the notes
  or discussions from class.
  }}
\end{center}
\vspace*{1ex}
\begin{questions}
\question
Show that these two intervals from the real line have the same cardinality:
$\rightclosed{1}{4}$ and $\leftclosed{-1}{7}$.
\begin{solution}
We must produce a function $\map{f}{\rightclosed{1}{4}}{\leftclosed{-1}{7}}$ 
that is one-to-one and onto.
Notice that the domain is closed at the right end, at~$4$, while the 
codomain is closed at the left end, at~$-1$.
The simplest thing is to have the function map $4$ to~$-1$, and also 
map $1$ to~$7$.
The line connecting $(4,-1)$ with $(1,7)$
is $f(x)=(8/3)\cdot(4-x)-1$.

To verify that the function is one-to-one, suppose that $f(x_0)=f(x_1)$.
Then $(8/3)\cdot(4-x_0)-1=(8/3)\cdot(4-x_1)-1$.
Add $1$ to both sides, multiply by $3/8$, then subtract $4$, and multiply 
by $-1$, to get that $x_0=x_1$.

To verify that the function is onto, fix $y\in\leftclosed{-1}{7}$.
Consider $x=4-3(y+1)/8$.
By simple algebra we have that $f(x)=y$.
Further, $-1\leq y<7$ gives that $0\leq y+1<8$ and multiplying 
by $3/8$ gives $0\leq 3(y+1)/8<3$.
Changing the signs reverses the comparisons to $-3<-3(y+1)/8\leq 0$.
Add $4$ to get the desired conclusion,
$1<4-3(y+1)/8\leq 4$.
\end{solution}

\end{questions}
\end{document}